For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/channels/get-api-contacts-v1channels-list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List Channels

GET
/api/contacts/v1/channels/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { channels, channelError } = await reloop.contacts.channels.list({
6 page: 1,
7 limit: 10,
8});
9
10if (channelError) throw channelError;
11
12console.log(channels.total, channels.channels);
1{
2 "object": "channel",
3 "channels": [
4 {
5 "id": "channel_123456789",
6 "name": "Newsletter",
7 "description": "example_description",
8 "defaultSubscription": "opt_in",
9 "visibility": "private",
10 "createdAt": "2026-03-23T10:00:00.000Z",
11 "updatedAt": "2026-03-23T10:00:00.000Z",
12 "subscriberCount": 0
13 }
14 ],
15 "total": 1,
16 "page": 0,
17 "limit": 0,
18 "event": "evt_123456789"
19}

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 100
  • Minimum value: 1
  • Maximum value: 100

Was this page helpful?